Page MenuHomePhabricator

Upgrade payments mw-core to REL1_25
Closed, ResolvedPublic2 Story Points

Description

We should jump from fundraising/REL1_23 to the current WMF deployment branch, 1.25.

Follow-up:

  • Update vagrant to use the new branch.

Deployment notes

  • Confirm that there is a recent database backup.
  • Disable CentralNotice campaigns, watch payments logs until they settle down.
  • Put paymentswiki into maintenance mode.
  • Update deploy script config to check out fundraising/REL1_25 for payments-wiki and payments-wiki-staging
  • fundraising_code_update -p payments-wiki,payments-wiki-staging
  • Updates to LocalSettings.php, note:
require_once "$IP/skins/Vector/Vector.php";
wfLoadSkin( 'Vector' );
  • Make sure the vendor submodule is updated to mediawiki/vendor:fundraising/REL1_25.
  • Run maintenance/update.php on payments1004 as a user that can read LocalSettings (maybe Jeff) -- document that we run the script rather than run schema migrations by hand. Note that the WMF MediaWiki train is not deployed using update.php, there SQL is run manually using mwscript, we are uniquely lazy.
  • Take wiki out of maintenance mode and fix all the stuff that's broken

Checklist

  • Style overrides still work.
  • Whitelisting works.
  • Possible to log in.
  • Logging goes to the right place.
  • Continuous integration works.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 203637 had a related patch set uploaded (by Awight):
WIP Upgrade fundraising branch to REL1_25

https://gerrit.wikimedia.org/r/203637

awight renamed this task from Upgrade payments mw-core to something newer to Upgrade payments mw-core to REL1_25.May 21 2015, 6:30 PM
awight claimed this task.
awight updated the task description. (Show Details)
awight edited a custom field.

Change 212731 had a related patch set uploaded (by Awight):
Merge fundraising release branch into REL1_25

https://gerrit.wikimedia.org/r/212731

awight updated the task description. (Show Details)May 22 2015, 12:04 AM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)May 22 2015, 12:06 AM
awight updated the task description. (Show Details)May 22 2015, 12:21 AM
awight moved this task from Review to Doing on the Fundraising Sprint Kraftwerk board.EditedMay 22 2015, 12:25 AM

Some things are emitting smoke--the GlobalCollect credit card type buttons do nothing.

Change 212735 had a related patch set uploaded (by Awight):
Add Vector skin

https://gerrit.wikimedia.org/r/212735

Change 212737 had a related patch set uploaded (by Awight):
Use $.on in place of deprecated $.live

https://gerrit.wikimedia.org/r/212737

Change 212738 had a related patch set uploaded (by Awight):
Add composer.lock to see if it cures Zuul

https://gerrit.wikimedia.org/r/212738

Change 212739 had a related patch set uploaded (by Awight):
Can't run the new tests on the fundraising/REL1_25 branch, yet

https://gerrit.wikimedia.org/r/212739

Change 212740 had a related patch set uploaded (by Awight):
Use $.on in place of deprecated $.live

https://gerrit.wikimedia.org/r/212740

Change 212737 abandoned by Awight:
Use $.on in place of deprecated $.live

https://gerrit.wikimedia.org/r/212737

Change 212740 merged by jenkins-bot:
Use $.on in place of deprecated $.live

https://gerrit.wikimedia.org/r/212740

Change 212739 merged by jenkins-bot:
Can't run the new tests on the fundraising/REL1_25 branch, yet

https://gerrit.wikimedia.org/r/212739

hashar added a subscriber: hashar.May 28 2015, 11:39 AM

The mediawiki-extensions-.* jobs are now ignored :-}

awight triaged this task as Normal priority.Jun 3 2015, 9:22 PM

Change 203637 abandoned by Awight:
WIP Upgrade fundraising branch to REL1_25

https://gerrit.wikimedia.org/r/203637

Change 216747 had a related patch set uploaded (by Awight):
Merge in REL1_25

https://gerrit.wikimedia.org/r/216747

awight updated the task description. (Show Details)Jun 10 2015, 11:37 PM
awight removed a subscriber: pizzzacat.
Ejegg updated the task description. (Show Details)Jun 16 2015, 7:22 PM

Change 212731 merged by Ejegg:
Merge fundraising release branch into REL1_25

https://gerrit.wikimedia.org/r/212731

Change 212735 merged by Ejegg:
Add Vector skin

https://gerrit.wikimedia.org/r/212735

Change 218989 had a related patch set uploaded (by Ejegg):
Add vendor submodule and composer.lock

https://gerrit.wikimedia.org/r/218989

Change 218990 had a related patch set uploaded (by Ejegg):
Update DI to parity with fundraising/REL1_23

https://gerrit.wikimedia.org/r/218990

Change 218989 merged by Awight:
Add vendor submodule and composer.lock

https://gerrit.wikimedia.org/r/218989

Change 218990 merged by Awight:
Update DI to parity with fundraising/REL1_23

https://gerrit.wikimedia.org/r/218990

awight added a comment.Jul 3 2015, 5:12 PM

@Jgreen: How do you suggest we deploy this using the Perl tools? We have to change the branch pointer to fundraising/REL1_25, but may have to rollback. Could I say "fundraising_code_update -p civicrm=fundraising/REL1_25" to test the branch before editing the deployment config file?

Change 226093 had a related patch set uploaded (by Awight):
update vendor submodule

https://gerrit.wikimedia.org/r/226093

Change 226092 had a related patch set uploaded (by Awight):
follow composer.json from REL1_25

https://gerrit.wikimedia.org/r/226092

Change 226092 abandoned by Awight:
follow composer.json from REL1_25

Reason:
Oops! Wrong target branch.

https://gerrit.wikimedia.org/r/226092

Change 226107 had a related patch set uploaded (by Awight):
follow composer.json from REL1_25

https://gerrit.wikimedia.org/r/226107

awight updated the task description. (Show Details)Jul 21 2015, 6:05 PM
awight updated the task description. (Show Details)

Change 226089 had a related patch set uploaded (by Awight):
update DonationInterface to current deployment head

https://gerrit.wikimedia.org/r/226089

Change 226088 had a related patch set uploaded (by Awight):
Merge REL1_25 into fundraising/REL1_25

https://gerrit.wikimedia.org/r/226088

Change 226088 merged by Ejegg:
Merge REL1_25 into fundraising/REL1_25

https://gerrit.wikimedia.org/r/226088

Change 226089 merged by Ejegg:
update DonationInterface to current deployment head

https://gerrit.wikimedia.org/r/226089

Change 226107 merged by Ejegg:
follow composer.json from REL1_25

https://gerrit.wikimedia.org/r/226107

Change 226093 merged by Ejegg:
update vendor submodule

https://gerrit.wikimedia.org/r/226093

awight updated the task description. (Show Details)Jul 22 2015, 9:42 PM

Status: Newly merged fundraising/REL1_25 code passed another smoke test, GC through to the thank-you page. Looks safe to deploy!

Ejegg updated the task description. (Show Details)Jul 23 2015, 5:55 PM

Change 226579 had a related patch set uploaded (by Ejegg):
Restore favicon to fundraising/REL1_25

https://gerrit.wikimedia.org/r/226579

Change 226579 merged by Awight:
Restore favicon to fundraising/REL1_25

https://gerrit.wikimedia.org/r/226579

awight closed this task as Resolved.Jul 23 2015, 7:35 PM
DStrine edited a custom field.Aug 18 2015, 3:37 PM
DStrine edited a custom field.Aug 18 2015, 6:48 PM

Change 212738 abandoned by Awight:
Add composer.lock to see if it cures Zuul

https://gerrit.wikimedia.org/r/212738

Change 216747 abandoned by Awight:
Merge in REL1_25

https://gerrit.wikimedia.org/r/216747

mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM